Page MenuHomePhabricator

Remove animations from jquery.makeCollapsible
Closed, ResolvedPublic

Description

  • It's a performance hit
  • Most editors don't really like them
  • The animations are javascript animations instead of CSS animations

Event Timeline

TheDJ created this task.May 19 2018, 10:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2018, 10:52 AM

Change 433958 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/core@master] makeCollapsible: Remove animations

https://gerrit.wikimedia.org/r/433958

Change 433958 merged by jenkins-bot:
[mediawiki/core@master] makeCollapsible: Remove animations

https://gerrit.wikimedia.org/r/433958

stjn awarded a token.May 19 2018, 12:23 PM
Od1n awarded a token.May 19 2018, 12:43 PM
Nirmos added a subscriber: Nirmos.May 19 2018, 4:37 PM
Izno added a subscriber: Izno.EditedMay 20 2018, 12:29 AM

Funnily enough, I like the animation strictly because it tells me whether something is collapsible with en.WP's current homegrown collapsible code or with mw.collapsible.

Majr awarded a token.May 20 2018, 2:52 PM
stjn added a subscriber: stjn.EditedMay 22 2018, 11:22 AM

Was thinking about this the other day: was there any data that users don’t like a default <div> animation? <table> ones yes, they are godawful, but <div> animation wasn’t that bad on the second thought. It’s not like we don’t use animations anywhere, so it was a nice addition to .mw-collapsible while it lasted.

TheDJ added a comment.May 22 2018, 4:34 PM

Was thinking about this the other day: was there any data that users don’t like a default <div> animation? <table> ones yes, they are godawful, but <div> animation wasn’t that bad on the second thought. It’s not like we don’t use animations anywhere, so it was a nice addition to .mw-collapsible while it lasted.

No, I didn't log all the times that ppl complained about them. My summary of that was mostly anecdotal. However, even if we were to readd them, we would do so with CSS animations at the very least. simplifying the code before recomplicating it would make sense in that case too.

stjn added a comment.May 22 2018, 4:35 PM

No, I didn't log all the times that ppl complained about them. My summary of that was mostly anecdotal. However, even if we were to readd them, we would do so with CSS animations at the very least. simplifying the code before recomplicating it would make sense in that case too.

Fair enough.

TheDJ closed this task as Resolved.May 22 2018, 4:37 PM
TheDJ claimed this task.
TheDJ removed a project: Patch-For-Review.
Vvjjkkii renamed this task from Remove animations from jquery.makeCollapsible to apcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed TheDJ as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from apcaaaaaaa to Remove animations from jquery.makeCollapsible.Jul 1 2018, 6:34 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to TheDJ.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.